Compare commits

..

18 commits

Author SHA1 Message Date
Lokesh Mandvekar
ba1d555f54 crun-0.15-5
- rebuild to bump release tag ahead of older fedoras

Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
(cherry picked from commit 2d611f8179)
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
2020-09-30 14:09:34 -04:00
Giuseppe Scrivano
b39f261df2
crun-0.15-3
Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
2020-09-30 14:36:38 +02:00
RH Container Bot
6ee1339e66 crun-0.15-1
autobuilt 0.15

Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-09-23 16:13:15 +00:00
Giuseppe Scrivano
87ad561089
rebuild
Signed-off-by: Giuseppe Scrivano <giuseppe@scrivano.org>
(cherry picked from commit 89169426ca)
2020-09-23 17:29:06 +02:00
Giuseppe Scrivano
8883e62ca7
remove old patches
Signed-off-by: Giuseppe Scrivano <giuseppe@scrivano.org>
2020-09-23 17:23:57 +02:00
RH Container Bot
552ec9ef64 crun-0.15-1
autobuilt 0.15

Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-09-23 15:14:35 +00:00
RH Container Bot
d8fe8ebf48 crun-0.14.1-1
autobuilt 0.14.1

Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-09-14 11:14:05 +00:00
Giuseppe Scrivano
417f81fd00
crun-0.14.1-5
Signed-off-by: Giuseppe Scrivano <giuseppe@scrivano.org>
2020-09-14 12:29:48 +02:00
RH Container Bot
d7c4d68864 crun-0.14.1-1
Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-09-02 13:48:43 +00:00
Lokesh Mandvekar
b92c7f5a70 crun-0.14.1-4
- rebuild

Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
2020-08-31 16:58:19 -04:00
Giuseppe Scrivano
341d15c522
crun-0.14.1-3
Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
2020-08-27 14:18:32 +02:00
Lokesh Mandvekar
adc2aef912 remove unused patch listing from spec
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
2020-07-17 10:40:23 -04:00
Lokesh Mandvekar
b087048d28 patch merged upstream
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
2020-07-17 10:34:11 -04:00
RH Container Bot
62d4aa5755 crun-0.14.1-1
Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-07-13 15:09:50 +00:00
RH Container Bot
458febffb8 crun-0.14-1
Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-07-07 18:43:31 +00:00
RH Container Bot
d9aa2854c6 crun-0.13-1
Signed-off-by: RH Container Bot <rhcontainerbot@fedoraproject.org>
2020-05-18 09:13:50 +00:00
Giuseppe Scrivano
38db2a0ca2
crun-0.13-2
Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
2020-04-15 15:43:32 +02:00
Giuseppe Scrivano
d5ecef242e
crun-0.13-1
Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
2020-03-05 16:20:26 +01:00
16 changed files with 171 additions and 730 deletions

View file

@ -1 +0,0 @@
1

81
.gitignore vendored
View file

@ -21,84 +21,3 @@ crun-0.1.1.tar.gz
/crun-0.14.tar.gz
/crun-0.14.1.tar.gz
/crun-0.15.tar.gz
/crun-0.15.1.tar.gz
/crun-0.16.tar.gz
/crun-0.17.tar.gz
/crun-0.18.tar.gz
/3e7fa1db14a3c4ad0605f1cb2851ec134f4ccc07.patch
/f642968ec5ae05b33f2545da6edf135c338b34d1.patch
/crun-0.19.tar.gz
/crun-0.19.1.tar.gz
/crun-0.19.1.7-3886.tar.xz
/crun-0.19.1.11-1dea.tar.xz
/crun-0.19.1.17-3f6a.tar.xz
/crun-0.19.1.19-b6c3.tar.xz
/crun-0.19.1.22-4e96.tar.xz
/crun-0.19.1.26-029e.tar.xz
/crun-0.19.1.31-b83e.tar.xz
/crun-0.19.1.36-2bad.tar.xz
/crun-0.19.1.41-f9c4.tar.xz
/crun-0.19.1.45-4cc7.tar.xz
/crun-0.19.1.50-1942.tar.xz
/crun-0.20.1-ffb7.tar.xz
/crun-0.20.3-8d6a.tar.xz
/crun-0.20.1.1-7adf.tar.xz
/crun-0.20.1.3-9dec.tar.xz
/crun-0.19.1.13-6340.tar.xz
/crun-0.20.1.7-7ef7.tar.xz
/crun-0.20.1.9-60de.tar.xz
/crun-0.21-dirty.tar.xz
/crun-0.21.tar.xz
/crun-1.0.tar.xz
/crun-1.1.tar.xz
/crun-1.2.tar.xz
/crun-1.3.tar.xz
/crun-1.4.tar.xz
/crun-1.4.1.tar.xz
/crun-1.4.2.tar.xz
/crun-1.4.3.tar.xz
/crun-1.4.4.tar.xz
/crun-1.4.5.tar.xz
/crun-1.5.tar.xz
/crun-1.6.tar.xz
/crun-1.7.tar.xz
/crun-1.7.1.tar.xz
/crun-1.7.2.tar.xz
/crun-1.8.tar.xz
/crun-1.8.1.tar.xz
/crun-1.8.2.tar.xz
/crun-1.8.3.tar.xz
/crun-1.8.4.tar.xz
/crun-1.8.5.tar.xz
/crun-1.8.6.tar.xz
/crun-1.8.7.tar.xz
/crun-1.9.tar.xz
/crun-1.9.1.tar.xz
/crun-1.9.2.tar.xz
/crun-1.10.tar.xz
/crun-1.11.tar.xz
/crun-1.11.1.tar.xz
/crun-1.11.2.tar.xz
/crun-1.12.tar.xz
/crun-1.13.tar.xz
/crun-1.14.tar.xz
/crun-1.14.1.tar.xz
/crun-1.14.2.tar.xz
/crun-1.14.3.tar.xz
/crun-1.14.4.tar.xz
/crun-1.15.tar.zst
/crun-1.17.tar.zst
/crun-1.18.tar.zst
/crun-1.18.1.tar.zst
/crun-1.18.2.tar.zst
/crun-1.19.tar.zst
/crun-1.19.1.tar.zst
/crun-1.20.tar.zst
/crun-1.21.tar.zst
/crun-1.22.tar.zst
/crun-1.23.tar.zst
/crun-1.23.1.tar.zst
/crun-1.24.tar.zst
/crun-1.25.tar.zst
/crun-1.25.1.tar.zst
/crun-1.26.tar.zst

View file

@ -1,140 +0,0 @@
---
# See the documentation for more information:
# https://packit.dev/docs/configuration/
downstream_package_name: crun
# Ref: https://packit.dev/docs/configuration#files_to_sync
files_to_sync:
- src: rpm/gating.yaml
dest: gating.yaml
- src: plans/
dest: plans/
delete: true
mkpath: true
- src: tests/tmt/
dest: tests/tmt/
delete: true
mkpath: true
- src: .fmf/
dest: .fmf/
delete: true
mkpath: true
- .packit.yaml
packages:
crun-fedora:
pkg_tool: fedpkg
specfile_path: rpm/crun.spec
crun-centos:
pkg_tool: centpkg
specfile_path: rpm/crun.spec
crun-eln:
specfile_path: rpm/crun.spec
srpm_build_deps:
- git-archive-all
- make
actions:
# This action runs only on copr build jobs
create-archive:
- "git-archive-all -v --force-submodules rpm/crun-HEAD.tar.xz"
- bash -c "ls -1 rpm/crun-HEAD.tar.xz"
jobs:
- job: copr_build
trigger: pull_request
packages: [crun-fedora]
notifications: &copr_build_failure_notification
failure_comment:
message: "Ephemeral COPR build failed. @containers/packit-build please check."
targets: &fedora_copr_targets
- fedora-all-x86_64
- fedora-all-aarch64
- job: copr_build
trigger: pull_request
packages: [crun-eln]
notifications: *copr_build_failure_notification
targets:
- fedora-eln-x86_64
- fedora-eln-aarch64
- job: copr_build
trigger: pull_request
packages: [crun-centos]
notifications: *copr_build_failure_notification
targets: &centos_copr_targets
- centos-stream-9-x86_64
- centos-stream-9-aarch64
- centos-stream-10-x86_64
- centos-stream-10-aarch64
# Run on commit to main branch
- job: copr_build
trigger: commit
packages: [crun-fedora]
notifications:
failure_comment:
message: "podman-next COPR build failed. @containers/packit-build please check."
branch: main
owner: rhcontainerbot
project: podman-next
# Podman system tests for Fedora and CentOS Stream
- job: tests
trigger: pull_request
packages: [crun-fedora]
notifications: &test_failure_notification
failure_comment:
message: "TMT tests failed. @containers/packit-build please check."
targets: *fedora_copr_targets
tf_extra_params:
environments:
- artifacts:
- type: repository-file
id: https://copr.fedorainfracloud.org/coprs/rhcontainerbot/podman-next/repo/fedora-$releasever/rhcontainerbot-podman-next-fedora-$releasever.repo
# Podman system tests for CentOS Stream
- job: tests
trigger: pull_request
packages: [crun-centos]
notifications: *test_failure_notification
# TODO: Re-enable centos-stream-10-x86_64 once criu issues are solved
# Ref: https://github.com/containers/crun/pull/1758#issuecomment-2901772392
# Issue filed: https://github.com/containers/crun/issues/1759
#targets: *centos_copr_targets
targets:
- centos-stream-9-x86_64
- centos-stream-9-aarch64
- centos-stream-10-aarch64
tf_extra_params:
environments:
- artifacts:
- type: repository-file
id: https://copr.fedorainfracloud.org/coprs/rhcontainerbot/podman-next/repo/centos-stream-$releasever/rhcontainerbot-podman-next-centos-stream-$releasever.repo
- job: propose_downstream
trigger: release
packages: [crun-fedora]
dist_git_branches: &fedora_targets
- fedora-all
# Disabled until we're switching to Packit for CentOS Stream
- job: propose_downstream
trigger: ignore
packages: [crun-centos]
dist_git_branches:
- c10s
- job: koji_build
trigger: commit
packages: [crun-fedora]
dist_git_branches: *fedora_targets
- job: bodhi_update
trigger: commit
packages: [crun-fedora]
dist_git_branches:
- fedora-branched # rawhide updates are created automatically

View file

@ -0,0 +1,35 @@
From 20c56beb3307b0ac07af0edbbbe49ec65819f559 Mon Sep 17 00:00:00 2001
From: Giuseppe Scrivano <gscrivan@redhat.com>
Date: Tue, 29 Sep 2020 16:52:02 +0200
Subject: [PATCH] exec: check read bytes from sync
when reading from the exec sync pipe, make sure it reads exactly one
byte otherwise return an error.
Closes: https://github.com/containers/crun/issues/511
Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
---
src/libcrun/container.c | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/libcrun/container.c b/src/libcrun/container.c
index 927986a..0308992 100644
--- a/src/libcrun/container.c
+++ b/src/libcrun/container.c
@@ -2595,10 +2595,10 @@ libcrun_container_exec (libcrun_context_t *context, const char *id, runtime_spec
}
}
- TEMP_FAILURE_RETRY (read (pipefd0, &b, sizeof (b)));
+ ret = TEMP_FAILURE_RETRY (read (pipefd0, &b, sizeof (b)));
TEMP_FAILURE_RETRY (close (pipefd0));
pipefd0 = -1;
- if (b != '0')
+ if (ret != 1 || b != '0')
ret = -1;
else
{
--
2.26.2

View file

@ -1,3 +0,0 @@
This repository is maintained by packit.
https://packit.dev/
The file was generated using packit 1.13.0.post1.dev2+g84134016c.

250
crun.spec
View file

@ -1,142 +1,162 @@
%global krun_opts %{nil}
%global wasmedge_opts %{nil}
%global yajl_opts %{nil}
%if %{defined copr_username}
%define copr_build 1
%endif
# krun and wasm support only on aarch64 and x86_64
%ifarch aarch64 || x86_64
%if %{defined fedora}
# krun only exists on fedora
%global krun_support 1
%global krun_opts --with-libkrun
# Keep wasmedge enabled only on Fedora. It breaks a lot on EPEL.
%global wasm_support 1
%global wasmedge_support 1
%global wasmedge_opts --with-wasmedge
%endif
%endif
%if %{defined fedora} || (%{defined rhel} && 0%{?rhel} < 10)
%global system_yajl 1
%else
%global yajl_opts --enable-embedded-yajl
%endif
Summary: OCI runtime written in C
Name: crun
%if %{defined copr_build}
Epoch: 102
%endif
# DO NOT TOUCH the Version string!
# The TRUE source of this specfile is:
# https://github.com/containers/crun/blob/main/rpm/crun.spec
# If that's what you're reading, Version must be 0, and will be updated by Packit for
# copr and koji builds.
# If you're reading this on dist-git, the version is automatically filled in by Packit.
Version: 1.26
Release: %autorelease
URL: https://github.com/containers/%{name}
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.zst
License: GPL-2.0-only
%if %{defined golang_arches_future}
ExclusiveArch: %{golang_arches_future}
%else
ExclusiveArch: aarch64 ppc64le riscv64 s390x x86_64
%endif
Version: 0.15
Release: 5%{?dist}
Source0: https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.gz
License: GPLv3+
URL: https://github.com/containers/crun
# We always run autogen.sh
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: gperf
BuildRequires: python
BuildRequires: git
BuildRequires: libcap-devel
%if %{defined krun_support}
BuildRequires: libkrun-devel
%endif
BuildRequires: systemd-devel
%if %{defined system_yajl}
BuildRequires: yajl-devel
%endif
BuildRequires: libseccomp-devel
BuildRequires: libselinux-devel
BuildRequires: python3-libmount
BuildRequires: libtool
BuildRequires: protobuf-c-devel
BuildRequires: criu-devel >= 3.17.1-2
Recommends: criu >= 3.17.1
Recommends: criu-libs
%if %{defined wasmedge_support}
BuildRequires: wasmedge-devel
%endif
BuildRequires: python
BuildRequires: glibc-static
Provides: oci-runtime
BuildRequires: go-md2man
Provides: oci-runtime = 2
Patch0: 0001-exec-check-read-bytes-from-sync.patch
%description
%{name} is a OCI runtime
%if %{defined krun_support}
%package krun
Summary: %{name} with libkrun support
Requires: libkrun
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: krun = %{?epoch:%{epoch}:}%{version}-%{release}
%description krun
krun is a symlink to the %{name} binary, with libkrun as an additional dependency.
%endif
%if %{defined wasm_support}
%package wasm
Summary: %{name} with wasm support
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
# wasm packages are not present on RHEL yet and are currently a PITA to test
# Best to only include wasmedge as weak dep on rhel
%if %{defined fedora}
Requires: wasm-library
%endif
Recommends: wasmedge
%description wasm
%{name}-wasm is a symlink to the %{name} binary, with wasm as an additional dependency.
%endif
crun is a runtime for running OCI containers
%prep
%autosetup -Sgit -n %{name}-%{version}
%autosetup -p1 -n %{name}-%{version}
%build
./autogen.sh
./configure --disable-silent-rules %{krun_opts} %{wasmedge_opts} %{yajl_opts}
%configure --disable-silent-rules
%make_build
%install
%make_install prefix=%{_prefix}
rm -rf %{buildroot}%{_prefix}/lib*
# Placeholder check to silence rpmlint
%check
%make_install
rm -rf $RPM_BUILD_ROOT/usr/lib*
%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%if %{defined krun_support}
%files krun
%license COPYING
%{_bindir}/krun
%{_mandir}/man1/krun.1.gz
%endif
%if %{defined wasm_support}
%files wasm
%license COPYING
%{_bindir}/%{name}-wasm
%endif
%{_mandir}/man1/*
%changelog
%autochangelog
* Wed Sep 30 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.15-5
- rebuild to bump release tag ahead of older fedoras
* Wed Sep 30 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.15-3
- backport "exec: check read bytes from sync"
* Wed Sep 23 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.15-1
- autobuilt 0.15
* Wed Sep 23 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.15-2
- rebuild
* Wed Sep 23 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.15-1
- autobuilt 0.15
* Mon Sep 14 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.14.1-1
- autobuilt 0.14.1
* Wed Sep 23 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.15-1
- build version 0.15
* Mon Sep 14 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.14.1-5
- backport 4453af4c060e380051552ee589af5cad37f2ae82
* Wed Sep 2 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.14.1-1
- autobuilt 0.14.1
* Mon Aug 31 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.14.1-4
- rebuild
* Thu Aug 27 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.14.1-3
- backport ed9c3e6f466dfb6d2e79802060fabd5f4b66f78e
* Mon Jul 13 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.14.1-1
- autobuilt 0.14.1
* Tue Jul 07 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.14-1
- autobuilt 0.14
* Mon May 18 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.13-1
- autobuilt 0.13
* Thu Apr 09 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.13-2
- fix cgroup v1 mount on Linux 5.6
* Thu Mar 05 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.13-1
- built version 0.13
* Mon Feb 17 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.12.2.1-1
- built version 0.12.2.1
* Mon Feb 17 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.12.2-1
- built version 0.12.2
* Thu Feb 6 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.12.1-1
- built version 0.12.1
* Mon Feb 3 2020 Giuseppe Scrivano <gscrivan@redhat.com> - 0.12-1
- built version 0.12
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Mon Dec 23 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.11-1
- built version 0.11
* Mon Nov 18 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.6-1
- built version 0.10.6
* Sun Nov 10 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.5-2
- built version 0.10.5
- fix CVE-2019-18837
* Sun Nov 10 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.5-1
- built version 0.10.5
* Thu Oct 31 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.4-1
- built version 0.10.4
* Tue Oct 29 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.3-1
- built version 0.10.3
* Mon Oct 7 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.2-1
- built version 0.10.2
* Fri Oct 4 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10.1-1
- built version 0.10.1
* Tue Oct 1 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.10-1
- built version 0.10
* Fri Sep 13 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.9.1-1
- built version 0.9.1
* Wed Sep 11 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.9-1
- built version 0.9
* Tue Sep 10 2019 Jindrich Novy <jnovy@redhat.com> - 0.8-3
- Add versioned oci-runtime provide.
* Mon Sep 9 2019 Dan Walsh <dwalsh@redhat.com> - 0.8-2
- Add provides oci-runtime
* Mon Aug 19 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.8-1
- built version 0.8
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Thu Jul 18 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.7-1
- built version 0.7
* Tue Jun 18 2019 Giuseppe Scrivano <gscrivan@redhat.com> - 0.6-1
- built version 0.6

View file

@ -1,15 +0,0 @@
--- !Policy
product_versions:
- fedora-*
decision_contexts:
- bodhi_update_push_stable
- bodhi_update_push_testing
rules:
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.tier0.functional}
--- !Policy
product_versions:
- rhel-*
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

View file

@ -1,40 +0,0 @@
discover:
how: fmf
execute:
how: tmt
prepare:
- when: distro == centos-stream or distro == rhel
how: shell
script: |
dnf -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-$(rpm --eval '%{?rhel}').noarch.rpm
dnf -y config-manager --set-enabled epel
order: 10
- when: initiator == packit
how: shell
script: |
COPR_REPO_FILE="/etc/yum.repos.d/*podman-next*.repo"
if compgen -G $COPR_REPO_FILE > /dev/null; then
sed -i -n '/^priority=/!p;$apriority=1' $COPR_REPO_FILE
fi
dnf -y upgrade --allowerasing
order: 20
- how: install
package:
- bats
- crun
- podman-tests
/shellcheck:
discover+:
filter: 'tag:shellcheck'
enabled: true
adjust:
enabled: false
when: distro == centos-stream-10 or distro == rhel-10
prepare+:
- how: install
package: ShellCheck
/tests:
discover+:
filter: 'tag:podman | tag:sanity'

View file

@ -1,9 +0,0 @@
/:
inherit: false
summary: Run tmt's integration tests
plan:
import:
url: https://github.com/teemtee/tmt
path: /plans/friends
name: /podman

View file

@ -1 +1 @@
SHA512 (crun-1.26.tar.zst) = 0785af6095a26290f433c5739bea5d98a029c3f0e8efbeed420481849ebddd70acde6c1105133c392abf26bca90d232cced5e5994da7506d66a020a02c129fb3
SHA512 (crun-0.15.tar.gz) = f9a9e94b6a9c5cff01fe93b1c3d5876a0794e6288b802cf579556e11411ca5d6e63cae3859aaa4df4bb600e2d27aa131872a93a92784b9b48f7885411d86f325

View file

@ -1,7 +0,0 @@
adjust:
duration: 10m
when: arch == aarch64
summary: Run crun specific Podman tests
test: bash ./system-test.sh
tag: [ podman ]

View file

@ -1,17 +0,0 @@
#!/usr/bin/env bash
set -exo pipefail
if [[ "$(id -u)" -ne 0 ]];then
echo "Please run this script as superuser"
exit 1
fi
cat /etc/redhat-release
rpm -q conmon containers-common crun podman podman-tests
# Run crun specific podman tests
bats -t /usr/share/podman/test/system/030-run.bats
bats -t /usr/share/podman/test/system/075-exec.bats
bats -t /usr/share/podman/test/system/280-update.bats
bats -t /usr/share/podman/test/system/520-checkpoint.bats

View file

@ -1,180 +0,0 @@
{
"ociVersion": "1.0.0",
"process": {
"terminal": false,
"user": {
"uid": 0,
"gid": 0
},
"args": [
"sleep", "10"
],
"env": [
"PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
"TERM=xterm"
],
"cwd": "/",
"capabilities": {
"bounding": [
"CAP_AUDIT_WRITE",
"CAP_KILL",
"CAP_NET_BIND_SERVICE"
],
"effective": [
"CAP_AUDIT_WRITE",
"CAP_KILL",
"CAP_NET_BIND_SERVICE"
],
"inheritable": [
],
"permitted": [
"CAP_AUDIT_WRITE",
"CAP_KILL",
"CAP_NET_BIND_SERVICE"
],
"ambient": [
"CAP_AUDIT_WRITE",
"CAP_KILL",
"CAP_NET_BIND_SERVICE"
]
},
"rlimits": [
{
"type": "RLIMIT_NOFILE",
"hard": 1024,
"soft": 1024
}
],
"noNewPrivileges": true
},
"root": {
"path": "rootfs",
"readonly": true
},
"hostname": "crun",
"mounts": [
{
"destination": "/proc",
"type": "proc",
"source": "proc"
},
{
"destination": "/dev",
"type": "tmpfs",
"source": "tmpfs",
"options": [
"nosuid",
"strictatime",
"mode=755",
"size=65536k"
]
},
{
"destination": "/dev/pts",
"type": "devpts",
"source": "devpts",
"options": [
"nosuid",
"noexec",
"newinstance",
"ptmxmode=0666",
"mode=0620",
"gid=5"
]
},
{
"destination": "/dev/shm",
"type": "tmpfs",
"source": "shm",
"options": [
"nosuid",
"noexec",
"nodev",
"mode=1777",
"size=65536k"
]
},
{
"destination": "/dev/mqueue",
"type": "mqueue",
"source": "mqueue",
"options": [
"nosuid",
"noexec",
"nodev"
]
},
{
"destination": "/sys",
"type": "sysfs",
"source": "sysfs",
"options": [
"nosuid",
"noexec",
"nodev",
"ro"
]
},
{
"destination": "/sys/fs/cgroup",
"type": "cgroup",
"source": "cgroup",
"options": [
"nosuid",
"noexec",
"nodev",
"relatime",
"ro"
]
}
],
"linux": {
"resources": {
"devices": [
{
"allow": false,
"access": "rwm"
}
]
},
"namespaces": [
{
"type": "pid"
},
{
"type": "network"
},
{
"type": "ipc"
},
{
"type": "uts"
},
{
"type": "cgroup"
},
{
"type": "mount"
}
],
"maskedPaths": [
"/proc/acpi",
"/proc/asound",
"/proc/kcore",
"/proc/keys",
"/proc/latency_stats",
"/proc/timer_list",
"/proc/timer_stats",
"/proc/sched_debug",
"/sys/firmware",
"/proc/scsi"
],
"readonlyPaths": [
"/proc/bus",
"/proc/fs",
"/proc/irq",
"/proc/sys",
"/proc/sysrq-trigger"
]
}
}

View file

@ -1,4 +0,0 @@
summary: Sanity test for crun
test: bash ./runtest.sh
duration: 10m
tag: [ sanity ]

View file

@ -1,113 +0,0 @@
#!/usr/bin/env bash
set -exo pipefail
TEMPDIR=$(mktemp -d)
TESTIMG="quay.io/libpod/busybox"
CNAME="mycont-$RANDOM"
cat /etc/redhat-release
uname -r
rpm -q crun criu
if ! crun --version; then
exit 1
fi
if ! crun features; then
exit 1
fi
if ! crun list; then
exit 1
fi
# create the top most bundle and rootfs directory
mkdir -p "$TEMPDIR"/rootfs
# export busybox via podman into the rootfs directory
if ! (podman export "$(podman create $TESTIMG)" | tar -C "$TEMPDIR"/rootfs -xvf -); then
exit 1
fi
# use existing spec
cp ./config.json "$TEMPDIR"
ls "$TEMPDIR"
cd "$TEMPDIR"
if ! crun create $CNAME; then
exit 1
fi
if ! crun list; then
exit 1
fi
if ! crun start $CNAME; then
exit 1
fi
if ! crun list; then
exit 1
fi
if ! crun state $CNAME; then
exit 1
fi
if ! crun ps $CNAME; then
exit 1
fi
if ! ret=$(crun exec $CNAME pwd) || [[ "$ret" != '/' ]]; then
exit 1
fi
if ! crun pause $CNAME; then
exit 1
fi
if ! crun state $CNAME; then
exit 1
fi
if ! crun resume $CNAME; then
exit 1
fi
if ! crun state $CNAME; then
exit 1
fi
if ! ret=$(crun exec $CNAME pwd) || [[ "$ret" != '/' ]]; then
exit 1
fi
if ! crun delete --force $CNAME; then
exit 1
fi
if ! crun list; then
exit 1
fi
if ! (crun run $CNAME &); then
exit 1
fi
if ! crun list; then
exit 1
fi
# make sure the container is running state
sleep 2
if ! ret=$(crun exec $CNAME echo 'ok') || [[ "$ret" != 'ok' ]]; then
exit 1
fi
if ! crun kill $CNAME; then
exit 1
fi
exit 0

View file

@ -1,4 +0,0 @@
summary: Shellcheck tests
test: find ../ -type f -name "*.sh" -exec shellcheck {} +
duration: 10m
tag: [ shellcheck ]